%define anolis_release 1
%global apiver 1.6

%global gssdp_version 1.6.2

Name:          gupnp
Version:       1.6.3
Release:       %{anolis_release}%{?dist}
Summary:       A framework for creating UPnP devices & control points

License:       LGPLv2+
URL:           https://www.gupnp.org/
Source0:       https://download.gnome.org/sources/%{name}/1.4/%{name}-%{version}.tar.xz

BuildRequires: docbook-style-xsl
BuildRequires: gtk-doc
BuildRequires: gobject-introspection-devel
BuildRequires: meson
BuildRequires: vala
BuildRequires: pkgconfig(gssdp-1.6) >= %{gssdp_version}
BuildRequires: pkgconfig(libsoup-3.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(uuid)
BuildRequires: gi-docgen

Requires: dbus
Requires: gssdp >= %{gssdp_version}

%description
GUPnP is an object-oriented open source framework for creating UPnP 
devices and control points, written in C using GObject and libsoup. 
The GUPnP API is intended to be easy to use, efficient and flexible. 

%package devel
Summary: Development package for gupnp
Requires: %{name} = %{version}-%{release}

%description devel
Files for development with %{name}.

%package docs
Summary: Documentation files for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description docs
This package contains developer documentation for %{name}.

%prep
%autosetup -p1

%build
%meson \
  -Dcontext_manager=network-manager \
  -Dgtk_doc=true \
  -Dexamples=false \
  %{nil}
%meson_build

%install
%meson_install

%generate_compatibility_deps

%check
%meson_test

%files
%dir %{abidir}
%license COPYING
%{_libdir}/libgupnp-%{apiver}.so.*
%{abidir}/libgupnp-%{apiver}.dump
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GUPnP-%{apiver}.typelib

%files devel
%{_bindir}/gupnp-binding-tool-%{apiver}
%{abidir}/gupnp-binding-tool-%{apiver}-option.list
%{_includedir}/gupnp-%{apiver}/
%{_libdir}/libgupnp-%{apiver}.so
%{_libdir}/pkgconfig/gupnp-%{apiver}.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GUPnP-%{apiver}.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gupnp*
%{_mandir}/man1/gupnp-binding-tool-%{apiver}.1*

%files docs
%doc AUTHORS README.md
%{_docdir}/gupnp-%{apiver}/

%changelog
* Thu Apr 06 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.6.3-1
- update to 1.6.3 and switch to libsoup3

* Fri Nov 25 2022 Funda Wang <fundawang@yeah.net> - 1.4.4-1
- New version 1.4.4

* Thu Nov 03 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.4.3-2
- optimise spec file

* Tue Apr 12 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.4.3-1
- init from upstream
